package com.nisum.testCases;

import com.nisum.pages.LoginPage;
import org.junit.Assert;
import org.junit.jupiter.api.Test;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.chrome.ChromeDriver;

import java.io.FileReader;
import java.util.Properties;
import java.util.concurrent.TimeUnit;

public class LoginTestCase {

    @Test
    public void testLogin() throws Exception{
        System.setProperty("webdriver.chrome.driver", "/opt/WebDriver/bin/chromedriver");
        WebDriver driver = new ChromeDriver();

        FileReader reader = new FileReader("datafile.properties");
        Properties p = new Properties();
        p.load(reader);

        LoginPage login = new LoginPage(driver, p.getProperty("URL"));

        login.login(p.getProperty("username"), p.getProperty("password"));

        System.out.println("Logged In!");

        driver.close();
    }

}
